Loading...
Searching...
No Matches
gtsam::Subgraph Class Reference

## Public Member Functions

| Subgraph (const Subgraph &subgraph)
| Subgraph (const Edges &edges)
| Subgraph (const std::vector< size_t > &indices)
const Edges & | edges () const
size_t | size () const
EdgeIndices | edgeIndices () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
void | save (const std::string &fn) const

## Static Public Member Functions

static Subgraph | load (const std::string &fn)

## Public Types

typedef std::vector< Edge > | Edges
typedef std::vector< size_t > | EdgeIndices
typedef Edges::iterator | iterator
typedef Edges::const_iterator | const_iterator

## Classes

struct | Edge

## Protected Attributes

Edges | edges_

## Friends

class | boost::serialization::access
std::ostream & | operator<< (std::ostream &os, const Subgraph &subgraph)

The documentation for this class was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/SubgraphBuilder.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/linear/SubgraphBuilder.cpp